summaryrefslogtreecommitdiff
path: root/scripts/06-dataproc-update-cluster.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/06-dataproc-update-cluster.sh')
-rwxr-xr-xscripts/06-dataproc-update-cluster.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/scripts/06-dataproc-update-cluster.sh b/scripts/06-dataproc-update-cluster.sh
index 8714e7d..dcf92e2 100755
--- a/scripts/06-dataproc-update-cluster.sh
+++ b/scripts/06-dataproc-update-cluster.sh
@@ -2,6 +2,10 @@
set -eu
+if [ ${DEBUG:+1} ]; then
+ set -xo pipefail
+fi
+
if [ "$#" -ne 3 ]; then
echo "Usage: 'sh ${PWD}/$0 <num-workers> <master-machine> <worker-machine>'"
exit 1